/*! Flickity v2.2.0
https://flickity.metafizzy.co
---------------------------------------------- */

.flickity-enabled {
  position: relative;
}

.flickity-enabled:focus { outline: none; }

.flickity-viewport {
  overflow: hidden;
  position: relative;
  height: 100%;
}

.flickity-slider {
  position: absolute;
  width: 100%;
  height: 100%;
}

/* draggable */

.flickity-enabled.is-draggable {
  -webkit-tap-highlight-color: transparent;
          tap-highlight-color: transparent;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.flickity-enabled.is-draggable .flickity-viewport {
  cursor: move;
  cursor: -webkit-grab;
  cursor: grab;
}

.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down {
  cursor: -webkit-grabbing;
  cursor: grabbing;
}

/* ---- flickity-button ---- */

.flickity-button {
  position: absolute;
  background: map-get( $c-colours, green );
  border: none;
  padding: 0px;
  transition: background 300ms ease;

  &:hover {
    background: map-get( $c-colours, primary );
  }
}

.flickity-button-icon {
  display: none;
}

/* ---- previous/next buttons ---- */

.flickity-prev-next-button {
    top: 160px;
    width: 56px;
    height: 56px;

    @include breakpoint( mobile down ) {
        top: 45px;
    }

    &:after {
        content: '';
        display: block;
        background: url(../img/tmp/arrow.svg) no-repeat center;
        background-size: 16px 25px;
        width: 16px;
        height: 25px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate3d(-50%,-50%,0);
    }
}

.flickity-prev-next-button.previous {
    left: -16px;

    @include breakpoint( mobile down ) {
        left: 0px;
    }
}

.flickity-prev-next-button.next {
    right: -16px;

    @include breakpoint( mobile down ) {
        right: 0px;
    }

    &:after {
        transform: translate3d(-50%,-50%,0) rotate(180deg);
    }
}

/* right to left */
.flickity-rtl .flickity-prev-next-button.previous {
  left: auto;
  right: 0;
}
.flickity-rtl .flickity-prev-next-button.next {
  right: auto;
  left: 0;
}

.flickity-prev-next-button .flickity-button-icon {
  display: none;
}

/* ---- page dots ---- */

.flickity-page-dots {
  position: absolute;
  width: 100%;
  bottom: -58px;
  padding: 0;
  margin: 0;
  list-style: none;
  line-height: 1;
}

.flickity-rtl .flickity-page-dots { direction: rtl; }

.flickity-page-dots .dot {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin: 0 10px 0 0;
  background: transparent;
  border: 1px solid map-get( $c-colours, primary );
  cursor: pointer;
  transition: 300ms ease background;
}

.flickity-page-dots .dot.is-selected {
  background: map-get( $c-colours, primary );
}

/*  ==========================================================================
    Slideshows
    ========================================================================== */

/*
    Block
    ========================================================================== */

.slideshow {

}

/*
    Elements
    ========================================================================== */

.slideshow__slide {
    float: left;

    @include breakpoint( mobile down ) {
        width: 100%;
    }
}

/*
    Modifier
    ========================================================================== */

.slideshow--top-tasks {
    position: relative;
    padding: 0 12px;

    &:before {
        content: 'Top tasks';
        text-align: center;
        margin-bottom: 15px;
        display: block;
        font-family: $f-sans-demi;
        @include rem(2.2);
    }

    .slideshow__slide {

        &:hover {

            .slideshow__hidden {
                opacity: 1;
                visibility: visible;
            }
        }

        .slideshow__visible {
            background: rgba( $c-white, 0.95 );
            padding-bottom: 35px;
            z-index: 0;
            position: relative;
            height: 315px;

            figure {
                margin: 0 auto -4px;
                max-width: 310px;
            }

            .text--34 {
                line-height: 1.2;
            }
        }

        .slideshow__hidden {
            position: absolute;
            top: 0px;
            left: 0px;
            width: 100%;
            height: 100%;
            background: map-get( $c-colours, green );
            text-align: center;
            opacity: 0;
            visibility: hidden;
            transition: all 500ms ease;
            padding: 30px;
            z-index: 1;

            figure {
                width: 78px;
                display: inline-block;
            }

            li {

                &:last-child() a {
                    border-bottom: none;
                }
            }

            a {
                font-family: $f-sans;
                color: $c-white;
                text-align: center;
                display: block;
                line-height: 35px;
                border-bottom: 1px solid $c-white;
                cursor: pointer;
                transition: background 300ms ease;
                @include rem(1.8);

                &:hover {
                    background: map-get( $c-colours, off-black );
                }
            }
        }
    }
}

.slideshow--latest-news {
    margin-left: -1px;

    .slideshow__slide {
        position: relative;
        height: 340px;
        text-align: center;
        padding: 90px 100px 75px;
        color: $c-white;
        border-left: 1px solid $c-white;
        @include vs-spacing(padding-left, 50px, 100px);
        @include vs-spacing(padding-right, 50px, 100px);

        &:hover {

            img {
                transform: scale(1.1);
            }
        }

        figure {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            z-index: 0;
            overflow: hidden;

            img {
                transition: opacity ease 150ms, transform ease 500ms;
            }
        }

        h4 {
            position: relative;
            z-index: 1;
            margin-bottom: 35px;
        }

        a {
            position: relative;
            z-index: 1;
            color: $c-white;
            display: inline-block;
            width: 136px;
            height: 44px;
            border: 1px solid $c-white;
            font-family: $f-sans-demi;
            line-height: 42px;
            transition: all 300ms ease;
            @include rem(1.6);

            &:hover {
                background: $c-white;
                color: map-get( $c-colours, primary );
            }
        }
    }

    .flickity-prev-next-button {
        transform: none;
        top: 145px;

        @include breakpoint( mobile down ) {
            top: auto;
            bottom: 0px;
        }

        &.next {
            right: 25px;

            @include breakpoint( mobile down ) {
                right: 0px;
            }
        }

        &.previous {
            left: 25px;

            @include breakpoint( mobile down ) {
                left: 0px;
            }
        }
    }
}

.slideshow--testimonials {
    position: relative;

    .slideshow__slide {
        width: 100%;
    }
}